Edit a handbook entry
curl --request PATCH \
--url https://api.whirl.sh/api/v1/agent-instructions/{sectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"body": "<string>"
}
'import requests
url = "https://api.whirl.sh/api/v1/agent-instructions/{sectionId}"
payload = {
"title": "<string>",
"body": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', body: JSON.stringify('<string>')})
};
fetch('https://api.whirl.sh/api/v1/agent-instructions/{sectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Handbook
Edit a handbook entry
Edit an entry in an agent’s handbook.
PATCH
/
agent-instructions
/
{sectionId}
Edit a handbook entry
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Handbook entry id from list_agent_instructions.
Required string length:
1 - 64Body
application/json
Required string length:
1 - 200The full new text; it replaces the current body. Refer to other entries by label, like @G2 (or @CG2 in the company handbook).
Required string length:
1 - 100000general: ground rules the agent always follows. scenario: a playbook for one kind of situation, loaded when relevant. tone: how the agent writes.
Available options:
general, scenario, tone Response
Success
The response is of type object.

